/*************************************************************************\
*
*  Programa para executar comandos na impressora MP20-fiscal Bematech
*
*	Residente na memoria
*
*
*	POLO DE SOFTWARE DE CURITIBA     --     Maio/1996
*
*
*
*	Programadores:  Nilceney I. dos Santos
*						 Ronaldo Szostak
*
*
*
*	Analista.....:  Sandra Regina Marcondes
*
\************************************************************************/

//////////// Headers /////////////
#include "comando.h"
#include <alloc.h>
#include <conio.h>
#include <stdio.h>
#include <string.h>

///////////	Defines //////////////
#define TAMLINHA 80


/****************************************************

	CarregaIni(P)

	P = char*, char*, char*

	NomeArq 	  = Nome do arquivo .INI
	NomeSeccao = Secao  ex: [Config]
	NomeLabel  = Label  ex: Porta=1

	Objetivo: Pegar um valor de acordo com a secao e o
				 label.

*****************************************************/

char *CarregaIni (char *NomeArq, char *NomeSeccao, char *NomeLabel)

{
	char  *BufCmp;
	char  BufLabel   [TAMLINHA + 1];
	char  BufLinha   [TAMLINHA + 1];
	char  BufRetorno [TAMLINHA + 1];
	char  BufSeccao  [TAMLINHA + 1];
   char  BufRem  [TAMLINHA + 1];
	int   Axo = -2;  //-2 - Nao achou seccao
   short cnt, tam, pos;
	FILE  *ArqCarrega;

	memset (BufRetorno, '\0', TAMLINHA + 1);

	if ((ArqCarrega = fopen(NomeArq, "r")) == NULL)
	{
		sprintf (BufRetorno, "-4",NomeArq);
		return BufRetorno;
	}

	memset (BufLabel, '\0', TAMLINHA + 1);
	memset (BufLinha, '\0', TAMLINHA + 1);

	sprintf (BufSeccao, "[%s]\0", NomeSeccao);
	sprintf (BufLabel,  "%s=\0", NomeLabel);

	while (fgets (BufLinha, TAMLINHA, ArqCarrega) && (Axo != 1) &&
			 (Axo != -3))
	{
		if ((BufCmp = strstr (BufLinha, BufSeccao)) != NULL)
			Axo = -3;
		while ((fgets (BufLinha, TAMLINHA, ArqCarrega))  &&
				 (BufLinha[0] != '[') && (Axo != 1))
		{

// 0x01 - Codigo para garantir '#' e ';' como marca de comentario
         pos = 0;
         cnt = 0;
         BufRem[0] = 0x00;
         while ((BufLinha[cnt] != '#') && (BufLinha[cnt] != ';') &&
                (BufLinha[cnt] != '\n') && (BufLinha[cnt] != 0x00))
         {
            BufRem[pos++] = BufLinha[cnt++];
            BufRem[pos] = 0x00;
         }
// 0x01 - Codigo para garantir '#' e ';' como marca de comentario

			if ((BufCmp = strstr (BufRem, BufLabel)) != NULL)
			{
				sprintf (BufRetorno,"%s", BufCmp + strlen(BufLabel));
				Axo = 1;
				if (BufRetorno[strlen (BufRetorno) - 1] == '\n')
				{
					if (strlen (BufRetorno) - 1 > 0)
						BufRetorno[strlen (BufRetorno) - 1] = '\0';
				}
			}
		}
		if ((Axo == -3) || (Axo == 1))
			break;
	}

	if (Axo == -2)
		strcpy (BufRetorno, "-2");
	if (Axo == -3)
		strcpy (BufRetorno, "-3");
	fclose (ArqCarrega);
	return BufRetorno;
}